# `router.alias(aliasMap)`

ルーターに対してグローバルエイリアスのルールを設定します。エイリアスとリダイレクトとの違いは、リダイレクトは `toPath` で `fromPath` を置換する代わり、エイリアスは `toPath` としてマッチしている限り、`fromPath` を維持します。

例えば、`/a` を `/a/b/c` にエイリアスする場合、`/a` にアクセスするとき、ブラウザ URL は `/a` を表示します。しかしながら、ルーターは代わりに `/a/b/c` にアクセスするかのようなパスをマッチします。

### 引数

- `aliasMap {Object}`

  エイリアスマップオブジェクトは `{ fromPath: toPath, ... }` の形にする必要があります。パスは動的セグメントを含むことができます。

### 戻り値

- router インスタンス自身

### 例

``` js
router.alias({

  // /a/b/c であるかのように /a にマッチします
  '/a': '/a/b/c',

  // エイリアスは動的セグメント名がマッチする必要がある
  // 動的セグメントを含むことができます
  '/user/:userId': '/user/profile/:userId'
})
```
